Get loyalty currencies
curl --request GET \
--url https://admin.snagsolutions.io/api/loyalty/currencies \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/loyalty/currencies"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/loyalty/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin.snagsolutions.io/api/loyalty/currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.snagsolutions.io/api/loyalty/currencies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://admin.snagsolutions.io/api/loyalty/currencies")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin.snagsolutions.io/api/loyalty/currencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174005",
"organizationId": "123e4567-e89b-12d3-a456-426614174001",
"websiteId": "123e4567-e89b-12d3-a456-426614174002",
"imageUrl": "https://d1ked0nzx7in3u.cloudfront.net/images/loyalty.png",
"name": "Loyalty Points",
"symbol": "LP",
"decimals": 2,
"createdById": "123e4567-e89b-12d3-a456-426614174010",
"createdAt": "2023-10-01T12:34:56.000Z",
"updatedAt": "2023-10-05T15:30:00.000Z",
"apiGetUrl": "https://api.example.com/get-loyalty",
"apiGetTransactionEntryUrl": "https://api.example.com/get-loyalty",
"apiPostUrl": "https://api.example.com/post-loyalty",
"apiAuthType": "basic",
"apiAuthKey": "apiKey123",
"apiAuthValue": "apiValue456",
"sortId": 1,
"deletedAt": null,
"isTokenRewardCurrency": false
}
],
"hasNextPage": true
}{
"message": "Request body is invalid"
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Loyalty
Get loyalty currencies
Get loyalty currencies
GET
/
api
/
loyalty
/
currencies
Get loyalty currencies
curl --request GET \
--url https://admin.snagsolutions.io/api/loyalty/currencies \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/loyalty/currencies"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/loyalty/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin.snagsolutions.io/api/loyalty/currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.snagsolutions.io/api/loyalty/currencies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://admin.snagsolutions.io/api/loyalty/currencies")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin.snagsolutions.io/api/loyalty/currencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174005",
"organizationId": "123e4567-e89b-12d3-a456-426614174001",
"websiteId": "123e4567-e89b-12d3-a456-426614174002",
"imageUrl": "https://d1ked0nzx7in3u.cloudfront.net/images/loyalty.png",
"name": "Loyalty Points",
"symbol": "LP",
"decimals": 2,
"createdById": "123e4567-e89b-12d3-a456-426614174010",
"createdAt": "2023-10-01T12:34:56.000Z",
"updatedAt": "2023-10-05T15:30:00.000Z",
"apiGetUrl": "https://api.example.com/get-loyalty",
"apiGetTransactionEntryUrl": "https://api.example.com/get-loyalty",
"apiPostUrl": "https://api.example.com/post-loyalty",
"apiAuthType": "basic",
"apiAuthKey": "apiKey123",
"apiAuthValue": "apiValue456",
"sortId": 1,
"deletedAt": null,
"isTokenRewardCurrency": false
}
],
"hasNextPage": true
}{
"message": "Request body is invalid"
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Authorizations
Query Parameters
Unique identifier for the organization
Example:
"123e4567-e89b-12d3-a456-426614174001"
Unique identifier for the website
Example:
"123e4567-e89b-12d3-a456-426614174002"
Cursor for pagination; start after this ID
Example:
"123e4567-e89b-12d3-a456-426614174010"
Whether to include deleted currencies
Example:
"false"
Exclude LoyaltyCurrency rows auto-created by token-reward rules (isTokenRewardCurrency=true). Defaults to true so admin pickers never see them; surfaces that need to render an existing token-reward rule pass false.
Example:
"true"
Maximum number of records to return
Required range:
1 <= x <= 1000Example:
50
Was this page helpful?